Page MenuHomePhabricator

Many misc wikis lack mobile domains
Open, MediumPublic

Description

These don't resolve:

auditcom.m.wikimedia.org
boardgovcom.m.wikimedia.org
board.m.wikimedia.org
chair.m.wikimedia.org
affcom.m.wikimedia.org
collab.m.wikimedia.org
donate.m.wikimedia.org
exec.m.wikimedia.org
grants.m.wikimedia.org
iegcom.m.wikimedia.org
internal.m.wikimedia.org
login.m.wikimedia.org
movementroles.m.wikimedia.org
noboard-chapters.m.wikimedia.org
ombudsmen.m.wikimedia.org
otrs-wiki.m.wikimedia.org
searchcom.m.wikimedia.org
spcom.m.wikimedia.org
transitionteam.m.wikimedia.org
wikimania.m.wikimedia.org (FIXED)
wikimania2005.m.wikimedia.org (FIXED)
wikimania2006.m.wikimedia.org (FIXED)
wikimaniateam.m.wikimedia.org (FIXED)
zero.m.wikimedia.org

These are not expected to resolve, the wikis are not sitting behind varnish which does some special handling for this:
labtestwikitech.m.wikimedia.org
wikitech.m.wikimedia.org

Event Timeline

Krenair created this task.Dec 11 2016, 1:36 AM
Restricted Application added a project: Traffic. · View Herald TranscriptDec 11 2016, 1:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a project: Operations. · View Herald TranscriptDec 11 2016, 1:37 AM

It doesn't make much sense to add labtestwikitech given T120527. The rest of these can probably just be done easily, might want to be careful with login and zero but I doubt mobile variants of those appearing would automatically hurt anything.

ema moved this task from Triage to DNS Names on the Traffic board.Dec 12 2016, 9:59 AM
Krenair updated the task description. (Show Details)Dec 14 2016, 7:17 PM

Change 337522 had a related patch set uploaded (by Dzahn):
add missing wikimania2005.m wikimania2006.m mobile names

https://gerrit.wikimedia.org/r/337522

Change 337522 merged by Dzahn:
add missing wikimania2005.m wikimania2006.m mobile names

https://gerrit.wikimedia.org/r/337522

Change 337893 had a related patch set uploaded (by Dzahn):
adjust wikimania regex for mobile hosts, cover 2002-2019

https://gerrit.wikimedia.org/r/337893

Dzahn added a comment.Feb 15 2017, 6:54 PM
This comment was removed by Dzahn.
Dzahn updated the task description. (Show Details)Feb 15 2017, 6:55 PM

Change 337893 merged by Dzahn:
adjust wikimania regex for mobile hosts, cover 2002-2099

https://gerrit.wikimedia.org/r/337893

ema triaged this task as Medium priority.Feb 27 2017, 1:08 PM
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jul 25 2017, 5:42 PM
Dzahn added a comment.Aug 28 2018, 6:25 PM

Meanwhile new wikis have been created without "m" like:

wikimania.wikimedia.org has address 198.35.26.96
Host wikimania.m.wikimedia.org not found: 3(NXDOMAIN)

Change 455886 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add missing mobile domain for wikimania.wikimedia

https://gerrit.wikimedia.org/r/455886

Change 455886 merged by Dzahn:
[operations/dns@master] add missing mobile domain for wikimania.wikimedia

https://gerrit.wikimedia.org/r/455886

Change 456047 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add .m. mobile domain for wikimaniateam.wikimedia

https://gerrit.wikimedia.org/r/456047

Change 456047 merged by Dzahn:
[operations/dns@master] add .m. mobile domain for wikimaniateam.wikimedia

https://gerrit.wikimedia.org/r/456047

Dzahn updated the task description. (Show Details)Aug 28 2018, 11:20 PM
Krenair updated the task description. (Show Details)Aug 28 2018, 11:45 PM